# Class UsersWhiteListConfig

Namespace
  adas_core.Domain.Models.AppSettings

Assembly
  adas-core.Domain.dll

Represents a configuration collection that defines a whitelist of users, stored as a list of string identifiers.

    public class UsersWhiteListConfig : List<string>, IList<string>, ICollection<string>, IReadOnlyList<string>, IReadOnlyCollection<string>, IEnumerable<string>, IList, ICollection, IEnumerable

Inheritance
  object
  List<string>
  UsersWhiteListConfig

Implements
  IList<string>
  ICollection<string>
  IReadOnlyList<string>
  IReadOnlyCollection<string>
  IEnumerable<string>
  IList
  ICollection
  IEnumerable

Inherited Members
  List<string>.Add(string)
  List<string>.AddRange(IEnumerable<string>)
  List<string>.AsReadOnly()
  List<string>.BinarySearch(int, int, string, IComparer<string>)
  List<string>.BinarySearch(string)
  List<string>.BinarySearch(string, IComparer<string>)
  List<string>.Clear()
  List<string>.Contains(string)
  List<string>.ConvertAll<TOutput>(Converter<string, TOutput>)
  List<string>.CopyTo(int, string[], int, int)
  List<string>.CopyTo(string[])
  List<string>.CopyTo(string[], int)
  List<string>.EnsureCapacity(int)
  List<string>.Exists(Predicate<string>)
  List<string>.Find(Predicate<string>)
  List<string>.FindAll(Predicate<string>)
  List<string>.FindIndex(int, int, Predicate<string>)
  List<string>.FindIndex(int, Predicate<string>)
  List<string>.FindIndex(Predicate<string>)
  List<string>.FindLast(Predicate<string>)
  List<string>.FindLastIndex(int, int, Predicate<string>)
  List<string>.FindLastIndex(int, Predicate<string>)
  List<string>.FindLastIndex(Predicate<string>)
  List<string>.ForEach(Action<string>)
  List<string>.GetEnumerator()
  List<string>.GetRange(int, int)
  List<string>.IndexOf(string)
  List<string>.IndexOf(string, int)
  List<string>.IndexOf(string, int, int)
  List<string>.Insert(int, string)
  List<string>.InsertRange(int, IEnumerable<string>)
  List<string>.LastIndexOf(string)
  List<string>.LastIndexOf(string, int)
  List<string>.LastIndexOf(string, int, int)
  List<string>.Remove(string)
  List<string>.RemoveAll(Predicate<string>)
  List<string>.RemoveAt(int)
  List<string>.RemoveRange(int, int)
  List<string>.Reverse()
  List<string>.Reverse(int, int)
  List<string>.Slice(int, int)
  List<string>.Sort()
  List<string>.Sort(IComparer<string>)
  List<string>.Sort(Comparison<string>)
  List<string>.Sort(int, int, IComparer<string>)
  List<string>.ToArray()
  List<string>.TrimExcess()
  List<string>.TrueForAll(Predicate<string>)
  List<string>.Capacity
  List<string>.Count
  List<string>.this[int]
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  CollectionsUtils.IsNullOrEmpty<T>(List<T>?)
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Remarks

Inherits from a generic list of strings, exposing standard collection semantics for the whitelisted user entries.

## Methods

### IsValid(User)

Determines whether the collection contains a username matching the specified user's username, using a case-insensitive comparison.

    public bool IsValid(User user)

#### Parameters

`user` User

  The user whose username will be checked against the collection.

#### Returns

bool

  `true` if a matching username is found; otherwise, `false`.